var inicio=0;

function aumentar(num){

inicio = num + 10;
Cargar();
}

function disminuir(num){

  if(num>0 ){
    inicio = num - 10;
    Cargar();
  }

}

function Cargar(){
document.location.href="ingresar_titulares.php?pos="+inicio;
}


//----------------------------------------------------
$(document).ready(function(){

    $("#bton_insertar").click(function(){
         var parametros = {"accion":'mostrar_tabla'};
                    $.ajax({
                    data:  parametros,
                    url:"app/model/insertar_titular.php",
                    type: "POST",
                success: function(opciones){$("#insertar").html(opciones);}})});});
//-----------------------------------------------------
function get(id){
    return document.getElementById(id).value;
}

function borrar(){

    document.getElementById('g_id1').value="";
    document.getElementById('g_id2').value="";

    document.getElementById('c_id1').value="";
    document.getElementById('c_id2').value="";

    document.getElementById('j_id1').value="";
    document.getElementById('j_id2').value="";

    document.getElementById('p1').value="";
    document.getElementById('p2').value="";

    document.getElementById('g_id1').focus();

}

function grabar(){

var p = parametro( 'pos' );

if (p==""){
    p=0;
}

var v1=get('p1');
var v2=get('g_id1');
var v3=get('c_id1');
var v4=get('j_id1');


if (v1=="") {
    alert("Digite C&oacute;digo del Docente");
    return 0;
}
if (v2=="") {
    alert("Digite C&oacute;digo del Grado");
    return 0;
}
if (v3=="") {
    alert("Digite C&oacute;digo del Curso");
    return 0;
}
if (v4=="") {
   alert("Digite C&oacute;digo de la Jornada");
   return 0;
}

var parametros = {"accion":'grabar_titular',
                          "profesor" :v1,
                          "grado" :v2,
                          "curso" :v3,
                          "jornada" :v4

                           };
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_titular.php",
                type:  'post',
                success:function (response){
                        alert(response);
                        borrar();
                        document.location.href="ingresar_titulares.php?pos="+p;
                }
        });

}

function actualizar(numero){

var p = parametro( 'pos' );

if (p==""){
    p=0;
}

var v1=get('p1');
var v2=get('g_id1');
var v3=get('c_id1');
var v4=get('j_id1');



if (v1=="") {
    alert("Digite C&oacute;digo del Docente");
    return 0;
}
if (v2=="") {
    alert("Digite C&oacute;digo del Grado");
    return 0;
}
if (v3=="") {
    alert("Digite C&oacute;digo del Curso");
    return 0;
}
if (v4=="") {
   alert("Digite C&oacute;digo de la Jornada");
   return 0;
}


var parametros = {"accion":'actualizar_titular',
                          "profesor" :v1,
                          "grado" :v2,
                          "curso" :v3,
                          "jornada" :v4,
                          "numero" :numero
                           };
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_titular.php",
                type:  'post',
                success:function (response){
                        document.location.href="ingresar_titulares.php?pos="+p;
                        alert(response);
                }
        });

}

//------------------------------------------
function eliminar(numero,inicio,total){

   if ((total>10) && (total-inicio==1)){
       inicio=inicio-10;
   }

   var parametros = {"accion":'borrar_titular',
                     "numero" :numero
                    };

        $.ajax({
                data:  parametros,
                url:"app/model/insertar_titular.php",
                type:  'post',
                success:function (response){
                        alert(response);
                        document.location.href="ingresar_titulares.php?pos="+inicio;

                }
        });
}

//------------------------------------------
function editar(numero){

    var parametros = {"accion":'editar_titular',"numero" :numero};
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_titular.php",
                type:  'post',
                success: function(opciones){$("#insertar").html(opciones);

                }
        });
}

//-----------------------------------
function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return "";
	else
		return results[1];
}